Page MenuHomeSoftware Heritage

Mirror: key value violates unique constraint "person_fullname_idx"
Open, HighPublic

Description

key value violates unique constraint "person_fullname_idx"
2021-04-01T15:05:47.622747934Z swh_storage.1.yjtfpr7ambpm@libra    | DETAIL:  Key (fullname)=(\x8cb31ce2587c8a2f87e7bf5b99abfed793481277d68da465e84caf17d5d9474b) already exists.
2021-04-01T15:05:47.622754322Z swh_storage.1.yjtfpr7ambpm@libra    | CONTEXT:  SQL statement "with t as (
2021-04-01T15:05:47.622759134Z swh_storage.1.yjtfpr7ambpm@libra    |         select author_fullname as fullname, author_name as name, author_email as email from tmp_revision
2021-04-01T15:05:47.622764002Z swh_storage.1.yjtfpr7ambpm@libra    |     union
2021-04-01T15:05:47.622768490Z swh_storage.1.yjtfpr7ambpm@libra    |         select committer_fullname as fullname, committer_name as name, committer_email as email from tmp_revision
2021-04-01T15:05:47.622773389Z swh_storage.1.yjtfpr7ambpm@libra    |     ) insert into person (fullname, name, email)
2021-04-01T15:05:47.622778283Z swh_storage.1.yjtfpr7ambpm@libra    |     select distinct on (fullname) fullname, name, email from t
2021-04-01T15:05:47.622783032Z swh_storage.1.yjtfpr7ambpm@libra    |     where not exists (
2021-04-01T15:05:47.622787662Z swh_storage.1.yjtfpr7ambpm@libra    |         select 1
2021-04-01T15:05:47.622792156Z swh_storage.1.yjtfpr7ambpm@libra    |         from person p
2021-04-01T15:05:47.622796469Z swh_storage.1.yjtfpr7ambpm@libra    |         where t.fullname = p.fullname
2021-04-01T15:05:47.622800942Z swh_storage.1.yjtfpr7ambpm@libra    |     )"
2021-04-01T15:05:47.622805452Z swh_storage.1.yjtfpr7ambpm@libra    | PL/pgSQL function swh_person_add_from_revision() line 3 at SQL statement
2021-04-01T15:05:47.622819310Z swh_storage.1.yjtfpr7ambpm@libra    | SQL statement "SELECT swh_person_add_from_revision()"
2021-04-01T15:05:47.622824572Z swh_storage.1.yjtfpr7ambpm@libra    | PL/pgSQL function swh_revision_add() line 3 at PERFORM
2021-04-01T15:05:47.622828658Z swh_storage.1.yjtfpr7ambpm@libra    | Traceback (most recent call last):
2021-04-01T15:05:47.622832763Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/storage/postgresql/storage.py", line 91, in convert_validation_exceptions
2021-04-01T15:05:47.622837297Z swh_storage.1.yjtfpr7ambpm@libra    |     yield
2021-04-01T15:05:47.622841100Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/storage/postgresql/storage.py", line 584, in revision_add
2021-04-01T15:05:47.622845386Z swh_storage.1.yjtfpr7ambpm@libra    |     db.revision_add_from_temp(cur)
2021-04-01T15:05:47.622849381Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/core/db/db_utils.py", line 29, in _meth
2021-04-01T15:05:47.622853682Z swh_storage.1.yjtfpr7ambpm@libra    |     self._cursor(cur).execute("SELECT %s()" % stored_proc)
2021-04-01T15:05:47.622858257Z swh_storage.1.yjtfpr7ambpm@libra    | psycopg2.errors.UniqueViolation: duplicate key value violates unique constraint "person_fullname_idx"
2021-04-01T15:05:47.622862692Z swh_storage.1.yjtfpr7ambpm@libra    | DETAIL:  Key (fullname)=(\x8cb31ce2587c8a2f87e7bf5b99abfed793481277d68da465e84caf17d5d9474b) already exists.
2021-04-01T15:05:47.622866976Z swh_storage.1.yjtfpr7ambpm@libra    | CONTEXT:  SQL statement "with t as (
2021-04-01T15:05:47.622871086Z swh_storage.1.yjtfpr7ambpm@libra    |         select author_fullname as fullname, author_name as name, author_email as email from tmp_revision
2021-04-01T15:05:47.622875230Z swh_storage.1.yjtfpr7ambpm@libra    |     union
2021-04-01T15:05:47.622879105Z swh_storage.1.yjtfpr7ambpm@libra    |         select committer_fullname as fullname, committer_name as name, committer_email as email from tmp_revision
2021-04-01T15:05:47.622883031Z swh_storage.1.yjtfpr7ambpm@libra    |     ) insert into person (fullname, name, email)
2021-04-01T15:05:47.622886579Z swh_storage.1.yjtfpr7ambpm@libra    |     select distinct on (fullname) fullname, name, email from t
2021-04-01T15:05:47.622890377Z swh_storage.1.yjtfpr7ambpm@libra    |     where not exists (
2021-04-01T15:05:47.622894255Z swh_storage.1.yjtfpr7ambpm@libra    |         select 1
2021-04-01T15:05:47.622898227Z swh_storage.1.yjtfpr7ambpm@libra    |         from person p
2021-04-01T15:05:47.622902026Z swh_storage.1.yjtfpr7ambpm@libra    |         where t.fullname = p.fullname
2021-04-01T15:05:47.622905223Z swh_storage.1.yjtfpr7ambpm@libra    |     )"
2021-04-01T15:05:47.622910296Z swh_storage.1.yjtfpr7ambpm@libra    | PL/pgSQL function swh_person_add_from_revision() line 3 at SQL statement
2021-04-01T15:05:47.622913928Z swh_storage.1.yjtfpr7ambpm@libra    | SQL statement "SELECT swh_person_add_from_revision()"
2021-04-01T15:05:47.622917511Z swh_storage.1.yjtfpr7ambpm@libra    | PL/pgSQL function swh_revision_add() line 3 at PERFORM
2021-04-01T15:05:47.622920970Z swh_storage.1.yjtfpr7ambpm@libra    | 
2021-04-01T15:05:47.622924649Z swh_storage.1.yjtfpr7ambpm@libra    | 
2021-04-01T15:05:47.622928593Z swh_storage.1.yjtfpr7ambpm@libra    | During handling of the above exception, another exception occurred:
2021-04-01T15:05:47.622932663Z swh_storage.1.yjtfpr7ambpm@libra    | 
2021-04-01T15:05:47.622936358Z swh_storage.1.yjtfpr7ambpm@libra    | Traceback (most recent call last):
2021-04-01T15:05:47.622940237Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/flask/app.py", line 1813, in full_dispatch_request
2021-04-01T15:05:47.622944252Z swh_storage.1.yjtfpr7ambpm@libra    |     rv = self.dispatch_request()
2021-04-01T15:05:47.622947891Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/flask/app.py", line 1799, in dispatch_request
2021-04-01T15:05:47.622961602Z swh_storage.1.yjtfpr7ambpm@libra    |     return self.view_functions[rule.endpoint](**req.view_args)
2021-04-01T15:05:47.622966167Z swh_storage.1.yjtfpr7ambpm@libra    |   File "<decorator-gen-40>", line 2, in revision_add
2021-04-01T15:05:47.622970620Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/core/api/negotiation.py", line 147, in _negotiate
2021-04-01T15:05:47.622974734Z swh_storage.1.yjtfpr7ambpm@libra    |     return f.negotiator(*args, **kwargs)
2021-04-01T15:05:47.622978544Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/core/api/negotiation.py", line 81, in __call__
2021-04-01T15:05:47.622982769Z swh_storage.1.yjtfpr7ambpm@libra    |     result = self.func(*args, **kwargs)
2021-04-01T15:05:47.622986605Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/core/api/__init__.py", line 458, in _f
2021-04-01T15:05:47.622990770Z swh_storage.1.yjtfpr7ambpm@libra    |     return obj_meth(**kw)
2021-04-01T15:05:47.622994914Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/storage/metrics.py", line 24, in d
2021-04-01T15:05:47.622999363Z swh_storage.1.yjtfpr7ambpm@libra    |     return f(*a, **kw)
2021-04-01T15:05:47.623003315Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/storage/metrics.py", line 77, in d
2021-04-01T15:05:47.623007620Z swh_storage.1.yjtfpr7ambpm@libra    |     r = f(*a, **kw)
2021-04-01T15:05:47.623011544Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/core/db/common.py", line 62, in _meth
2021-04-01T15:05:47.623017371Z swh_storage.1.yjtfpr7ambpm@libra    |     return meth(self, *args, db=db, cur=cur, **kwargs)
2021-04-01T15:05:47.623021451Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/storage/postgresql/storage.py", line 590, in revision_add
2021-04-01T15:05:47.623025642Z swh_storage.1.yjtfpr7ambpm@libra    |     cur,
2021-04-01T15:05:47.623029766Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3.7/contextlib.py", line 130, in __exit__
2021-04-01T15:05:47.623034151Z swh_storage.1.yjtfpr7ambpm@libra    |     self.gen.throw(type, value, traceback)
2021-04-01T15:05:47.623038625Z swh_storage.1.yjtfpr7ambpm@libra    |   File "/usr/lib/python3/dist-packages/swh/storage/postgresql/storage.py", line 93, in convert_validation_exceptions
2021-04-01T15:05:47.623043101Z swh_storage.1.yjtfpr7ambpm@libra    |     raise StorageArgumentException(str(e))
2021-04-01T15:05:47.623047127Z swh_storage.1.yjtfpr7ambpm@libra    | swh.storage.exc.StorageArgumentException: duplicate key value violates unique constraint "person_fullname_idx"
2021-04-01T15:05:47.623051530Z swh_storage.1.yjtfpr7ambpm@libra    | DETAIL:  Key (fullname)=(\x8cb31ce2587c8a2f87e7bf5b99abfed793481277d68da465e84caf17d5d9474b) already exists.
2021-04-01T15:05:47.623055788Z swh_storage.1.yjtfpr7ambpm@libra    | CONTEXT:  SQL statement "with t as (
2021-04-01T15:05:47.623059727Z swh_storage.1.yjtfpr7ambpm@libra    |         select author_fullname as fullname, author_name as name, author_email as email from tmp_revision
2021-04-01T15:05:47.623064192Z swh_storage.1.yjtfpr7ambpm@libra    |     union
2021-04-01T15:05:47.623069235Z swh_storage.1.yjtfpr7ambpm@libra    |         select committer_fullname as fullname, committer_name as name, committer_email as email from tmp_revision
2021-04-01T15:05:47.623073974Z swh_storage.1.yjtfpr7ambpm@libra    |     ) insert into person (fullname, name, email)
2021-04-01T15:05:47.623078043Z swh_storage.1.yjtfpr7ambpm@libra    |     select distinct on (fullname) fullname, name, email from t
2021-04-01T15:05:47.623081949Z swh_storage.1.yjtfpr7ambpm@libra    |     where not exists (
2021-04-01T15:05:47.623085792Z swh_storage.1.yjtfpr7ambpm@libra    |         select 1
2021-04-01T15:05:47.623089580Z swh_storage.1.yjtfpr7ambpm@libra    |         from person p
2021-04-01T15:05:47.623097797Z swh_storage.1.yjtfpr7ambpm@libra    |         where t.fullname = p.fullname
2021-04-01T15:05:47.623102530Z swh_storage.1.yjtfpr7ambpm@libra    |     )"
2021-04-01T15:05:47.623106733Z swh_storage.1.yjtfpr7ambpm@libra    | PL/pgSQL function swh_person_add_from_revision() line 3 at SQL statement
2021-04-01T15:05:47.623111081Z swh_storage.1.yjtfpr7ambpm@libra    | SQL statement "SELECT swh_person_add_from_revision()"
2021-04-01T15:05:47.623115579Z swh_storage.1.yjtfpr7ambpm@libra    | PL/pgSQL function swh_revision_add() line 3 at PERFORM
2021-04-01T15:05:47.623119657Z swh_storage.1.yjtfpr7ambpm@libra    |

context:

ii  python3-swh.core        0.12.0-1~swh1~bpo10+1 all          Software Heritage core utilities
ii  python3-swh.journal     0.7.1-1~swh1~bpo10+1  all          Software Heritage Journal utilities
ii  python3-swh.model       2.3.0-1~swh1~bpo10+1  all          Software Heritage data model
ii  python3-swh.objstorage  0.2.2-1~swh1~bpo10+1  all          Software Heritage Object Storage
ii  python3-swh.scheduler   0.10.0-1~swh1~bpo10+1 all          Software Heritage Scheduler
ii  python3-swh.storage     0.27.0-1~swh1~bpo10+1 all          Software Heritage storage utilities

Event Timeline

douardda triaged this task as High priority.Fri, Apr 2, 9:48 AM
douardda created this task.